GHSA-qv95-g3gm-x542

Suggest an improvement
Source
https://github.com/advisories/GHSA-qv95-g3gm-x542
Import Source
https://github.com/github/advisory-database/blob/main/advisories/github-reviewed/2021/10/GHSA-qv95-g3gm-x542/GHSA-qv95-g3gm-x542.json
JSON Data
https://api.osv.dev/v1/vulns/GHSA-qv95-g3gm-x542
Aliases
Related
Published
2021-10-12T16:39:01Z
Modified
2023-12-06T01:01:37.534481Z
Severity
  • 2.9 (Low) CVSS_V3 - CVSS:3.1/AV:A/AC:L/PR:H/UI:R/S:C/C:L/I:N/A:N CVSS Calculator
Summary
Hashicorp Vault Privilege Escalation Vulnerability
Details

HashiCorp Vault and Vault Enterprise through 1.7.4 and 1.8.3 allowed a user with write permission to an entity alias ID sharing a mount accessor with another user to acquire this other user’s policies by merging their identities. Fixed in Vault and Vault Enterprise 1.7.5 and 1.8.4.

References

Affected packages

Go / github.com/hashicorp/vault

Package

Name
github.com/hashicorp/vault
View open source insights on deps.dev
Purl
pkg:golang/github.com/hashicorp/vault

Affected ranges

Type
SEMVER
Events
Introduced
0Unknown introduced version / All previous versions are affected
Fixed
1.7.5

Go / github.com/hashicorp/vault

Package

Name
github.com/hashicorp/vault
View open source insights on deps.dev
Purl
pkg:golang/github.com/hashicorp/vault

Affected ranges

Type
SEMVER
Events
Introduced
1.8.0
Fixed
1.8.4